Package com.xebialabs.xlrelease.domain.delivery

# Class TrackedItemStatusChangeSubscriber

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Subscriber
com.xebialabs.xlrelease.domain.delivery.TrackedItemStatusChangeSubscriber

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class TrackedItemStatusChangeSubscriber extends Subscriber

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackedItemStatusChangeSubscriber()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SubscriptionResult`
  `evaluate(Delivery delivery)`
  `List<String>`
  `getItemIds()`
  `TrackedItemStatus`
  `getItemStatus()`
  `String`
  `getStageId()`
  `List<String>`
  `itemIds()`
  `void`
  `itemIds_$eq(List<String> x$1)`
  `TrackedItemStatus`
  `itemStatus()`
  `void`
  `itemStatus_$eq(TrackedItemStatus x$1)`
  `boolean`
  `matches(Delivery delivery, String itemId, scala.Option<String> stageId, scala.Option<TrackedItemStatus> status)`
  `scala.Option<String>`
  `matches$default$3()`
  `scala.Option<TrackedItemStatus>`
  `matches$default$4()`
  `void`
  `setItemIds(List<String> x$1)`
  `void`
  `setItemStatus(TrackedItemStatus x$1)`
  `void`
  `setStageId(String x$1)`
  `String`
  `stageId()`
  `void`
  `stageId_$eq(String x$1)`
  `void`
  `validate(Delivery delivery)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Subscriber

  `getSourceId, isEqual, setSourceId, sourceId, sourceId_$eq`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrackedItemStatusChangeSubscriber

    public TrackedItemStatusChangeSubscriber()

- ## Method Details

  - ### evaluate

    public SubscriptionResult evaluate(Delivery delivery)
    Specified by:
      `evaluate` in class `Subscriber`

  - ### getItemIds

    public List<String> getItemIds()

  - ### getItemStatus

    public TrackedItemStatus getItemStatus()

  - ### getStageId

    public String getStageId()

  - ### itemIds

    public List<String> itemIds()

  - ### itemIds_$eq

    public void itemIds_$eq(List<String> x$1)

  - ### itemStatus

    public TrackedItemStatus itemStatus()

  - ### itemStatus_$eq

    public void itemStatus_$eq(TrackedItemStatus x$1)

  - ### matches

    public boolean matches(Delivery delivery, String itemId, scala.Option<String> stageId, scala.Option<TrackedItemStatus> status)

  - ### matches$default$3

    public scala.Option<String> matches$default$3()

  - ### matches$default$4

    public scala.Option<TrackedItemStatus> matches$default$4()

  - ### setItemIds

    public void setItemIds(List<String> x$1)

  - ### setItemStatus

    public void setItemStatus(TrackedItemStatus x$1)

  - ### setStageId

    public void setStageId(String x$1)

  - ### stageId

    public String stageId()

  - ### stageId_$eq

    public void stageId_$eq(String x$1)

  - ### validate

    public void validate(Delivery delivery)
    Specified by:
      `validate` in class `Subscriber`